import { AfterViewInit, OnInit, Renderer2, ElementRef, OnDestroy, OnChanges, SimpleChanges, NgZone } from '@angular/core';
import { NgxValidationRunnerService } from './service/ngx-validation-runner.service';
export declare class NgxBootStrapValidatorDirective implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private validationService;
    private elementRef;
    private ngZone;
    private renderer2;
    private _window;
    validateProperty: any;
    model: any;
    policy: string;
    validateOnEvent: string;
    immediateParentNode: any;
    formGroupContainerDiv: any;
    isInput: boolean;
    isCheckbox: boolean;
    isRadioButton: boolean;
    constructor(validationService: NgxValidationRunnerService, elementRef: ElementRef, ngZone: NgZone, renderer2: Renderer2, _window: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    testBootstrapElementType(): void;
    addErrorToBootstrapControl(errorMsg: string): void;
}
