import { AfterViewInit, OnInit, Renderer2, ElementRef, OnDestroy, NgZone } from '@angular/core';
import { NgxValidationRunnerService } from './service/ngx-validation-runner.service';
export declare class NgxMatValidatorDirective implements OnInit, AfterViewInit, OnDestroy {
    private validationService;
    private elementRef;
    private ngZone;
    private renderer2;
    private _window;
    validateProperty: any;
    model: any;
    policy: string;
    validateOnEvent: string;
    parentNodeName: string;
    depthOfParentNode: number;
    isInput: boolean;
    isCheckbox: boolean;
    isRadioButton: boolean;
    constructor(validationService: NgxValidationRunnerService, elementRef: ElementRef, ngZone: NgZone, renderer2: Renderer2, /* private ngModel: NgModel,*/ _window: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    testMatElementType(): void;
    addErrorToMatControl(errorMsg: string): void;
    addMatErrorsToHtml(errorElement: any, node: any, errorMsg: string, cssErrorClass: string): void;
}
