import { OnChanges, OnDestroy, SimpleChanges, IterableDiffers, NgZone } from '@angular/core';
import { NgxValidationRunnerService } from './service/ngx-validation-runner.service';
import { NgxValidationResult } from './interface/ngx-validation-result-model.interface';
export declare class NgxComponentValidatorDirective implements OnChanges, OnDestroy {
    private differs;
    private ngZone;
    private validationService;
    private _window;
    model: any;
    policy: string;
    policyFnRef: any;
    private _iterableValidationDiffer;
    private _iterableRequiredDiffer;
    private validationListenerSubscription;
    private requiredListenerSubscription;
    constructor(differs: IterableDiffers, ngZone: NgZone, validationService: NgxValidationRunnerService, _window: any);
    trackByFcForNgxValidationResult: (index: any, item: NgxValidationResult) => string;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
