export declare class NgxValidatorRules {
    propertyName: string;
    dependency: string | Function;
    errorMsg: string | null;
    validationFns: Array<Function>;
    constructor();
    isRequired: (errorMsg: string) => this;
    isNumberWithinRange: (errorMsg: string, range: number[]) => this;
    isNumber: (errorMsg: string) => this;
    isRegex: (errorMsg: string, regex: RegExp) => this;
    customValidator: (errorMsg: string, customFunction: any) => this;
    private isNullOrEmpty;
    private _isRequiredCheck;
    private _isNumberCheck;
    private _isNumberWithinRangeCheck;
    private _isRegexCheck;
}
